bitel.billing.server.voiceip.bean

## Class LoginType

- java.lang.Object
- - bitel.billing.server.voiceip.bean.LoginType

- All Implemented Interfaces:
    ListItem

      public class LoginType
      extends java.lang.Object
      implements ListItem

  Тип логина

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttributes()` Возвращает аттрибуты
    `int` | `getBalanceRecalcMode()` Возвращает режим пересчета баланса
    `java.lang.String` | `getComment()` Возвращает комментарий
    `int` | `getFindModeAcctIn()` Возвращает режим поиска входящих аккаунт-запросов
    `int` | `getFindModeAcctOut()` Возвращает режим поиска исходящих аккаунт-запросов
    `int` | `getFindModeAuthIn()` Возвращает режим поиска входящих авторизационных запросов
    `int` | `getFindModeAuthOut()` Возвращает режим поиска исходящих авторизационных запросов
    `int` | `getId()` Возвращает код типа логина
    `int` | `getIncomingTariffMode()` Возвращает режим тарификации входящих звонков
    `int` | `getOutgoingTariffMode()` Устанавливает режим тарификации исходящих звонков
    `java.lang.String` | `getTitle()` Возвращает название типа логина
    `int` | `getUseDcFilterMode()` Проверяет, используется ли фильтр по disconnect clause
    `boolean` | `isCheckPassword()` Проверяет, нужно ли проверять пароль
    `boolean` | `isIgnoreAccount()` Проверяет, игнориуется ли наработка
    `void` | `setAttributes(java.lang.String attributes)` Устанавливает аттрибуты
    `void` | `setBalanceRecalcMode(int balanceRecalcMode)` Устанавливает режим пересчета баланса
    `void` | `setCheckPassword(boolean checkPassword)` Устанавливает, нужно ли проверять пароль
    `void` | `setComment(java.lang.String comment)` Устанавливает комментарий
    `void` | `setFindModeAcctIn(int findModeAcctIn)` Устанавливает режим поиска входящих аккаунт-запросов
    `void` | `setFindModeAcctOut(int findModeAcctOut)` Устанавливает режим поиска исходящих аккаунт-запросов
    `void` | `setFindModeAuthIn(int findModeAuthIn)` Устанавливает режим поиска входящих авторизационных запросов
    `void` | `setFindModeAuthOut(int findModeAuthOut)` Устанавливает режим поиска исходящих авторизационных запросов
    `void` | `setId(int id)` Устанавливает код типа логина
    `void` | `setIgnoreAccount(boolean ignoreAccount)` Устанавливает, игнорируется ли наработка
    `void` | `setIncomingTariffMode(int incomingTariffMode)` Устанавливает режим тарификации входящих звонков
    `void` | `setOutgoingTariffMode(int outgoingTariffMode)` Устанавливает режим тарификации исходящих звонков
    `void` | `setTitle(java.lang.String title)` Устанавливает название типа логина
    `void` | `setUseDcFilterMode(int useDcFilterMode)` Устанавливает, используется ли фильтр по disconnect clause

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginType

          public LoginType()

  - ### Method Detail

    - #### isIgnoreAccount

          public boolean isIgnoreAccount()

      Проверяет, игнориуется ли наработка
      Returns:
        true, если игнорируется

    - #### setIgnoreAccount

          public void setIgnoreAccount(boolean ignoreAccount)

      Устанавливает, игнорируется ли наработка
      Parameters:
        `ignoreAccount` - true, если игнорируется

    - #### getBalanceRecalcMode

          public int getBalanceRecalcMode()

      Возвращает режим пересчета баланса
      Returns:
        режим пересчета баланса

    - #### setBalanceRecalcMode

          public void setBalanceRecalcMode(int balanceRecalcMode)

      Устанавливает режим пересчета баланса
      Parameters:
        `balanceRecalcMode` - новый режим

    - #### isCheckPassword

          public boolean isCheckPassword()

      Проверяет, нужно ли проверять пароль
      Returns:
        true, если нужно

    - #### setCheckPassword

          public void setCheckPassword(boolean checkPassword)

      Устанавливает, нужно ли проверять пароль
      Parameters:
        `checkPassword` - true, если нужно

    - #### getFindModeAcctIn

          public int getFindModeAcctIn()

      Возвращает режим поиска входящих аккаунт-запросов
      Returns:
        режим

    - #### setFindModeAcctIn

          public void setFindModeAcctIn(int findModeAcctIn)

      Устанавливает режим поиска входящих аккаунт-запросов
      Parameters:
        `findModeAcctIn` - новый режим

    - #### getFindModeAcctOut

          public int getFindModeAcctOut()

      Возвращает режим поиска исходящих аккаунт-запросов
      Returns:
        режим

    - #### setFindModeAcctOut

          public void setFindModeAcctOut(int findModeAcctOut)

      Устанавливает режим поиска исходящих аккаунт-запросов
      Parameters:
        `findModeAcctOut` - режим

    - #### getFindModeAuthIn

          public int getFindModeAuthIn()

      Возвращает режим поиска входящих авторизационных запросов
      Returns:
        режим

    - #### setFindModeAuthIn

          public void setFindModeAuthIn(int findModeAuthIn)

      Устанавливает режим поиска входящих авторизационных запросов
      Parameters:
        `findModeAuthIn` - новы2й режим

    - #### getFindModeAuthOut

          public int getFindModeAuthOut()

      Возвращает режим поиска исходящих авторизационных запросов
      Returns:
        режим

    - #### setFindModeAuthOut

          public void setFindModeAuthOut(int findModeAuthOut)

      Устанавливает режим поиска исходящих авторизационных запросов
      Parameters:
        `findModeAuthOut` - новый режим

    - #### getIncomingTariffMode

          public int getIncomingTariffMode()

      Возвращает режим тарификации входящих звонков
      Returns:
        режим

    - #### setIncomingTariffMode

          public void setIncomingTariffMode(int incomingTariffMode)

      Устанавливает режим тарификации входящих звонков
      Parameters:
        `incomingTariffMode` - режим

    - #### getOutgoingTariffMode

          public int getOutgoingTariffMode()

      Устанавливает режим тарификации исходящих звонков
      Returns:
        режим

    - #### setOutgoingTariffMode

          public void setOutgoingTariffMode(int outgoingTariffMode)

      Устанавливает режим тарификации исходящих звонков
      Parameters:
        `outgoingTariffMode` -

    - #### getUseDcFilterMode

          public int getUseDcFilterMode()

      Проверяет, используется ли фильтр по disconnect clause
      Returns:
        1, если используется

    - #### setUseDcFilterMode

          public void setUseDcFilterMode(int useDcFilterMode)

      Устанавливает, используется ли фильтр по disconnect clause
      Parameters:
        `useDcFilterMode` - 1, если используется

    - #### getId

          public int getId()

      Возвращает код типа логина
      Specified by:
        `getId` in interface `ListItem`
      Returns:
        код

    - #### setId

          public void setId(int id)

      Устанавливает код типа логина
      Parameters:
        `id` - новый код

    - #### getTitle

          public java.lang.String getTitle()

      Возвращает название типа логина
      Specified by:
        `getTitle` in interface `ListItem`
      Returns:
        название

    - #### setTitle

          public void setTitle(java.lang.String title)

      Устанавливает название типа логина
      Parameters:
        `title` - новое название

    - #### getComment

          public java.lang.String getComment()

      Возвращает комментарий
      Returns:
        комментарий

    - #### setComment

          public void setComment(java.lang.String comment)

      Устанавливает комментарий
      Parameters:
        `comment` - комментарий

    - #### getAttributes

          public final java.lang.String getAttributes()

      Возвращает аттрибуты
      Returns:
        аттрибуты

    - #### setAttributes

          public final void setAttributes(java.lang.String attributes)

      Устанавливает аттрибуты
      Parameters:
        `attributes` - аттрибуты